%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A library for audio labelling
Name:		aubio
Version:	0.3.2
Release:	%mkrel 7
License:	GPLv2+
Group:		Sound
Url:		http://aubio.org/
Source0:	http://aubio.org/pub/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3.2-format_not_a_string_literal_and_no_format_arguments.patch
Patch1:		aubio-0.3.2-fix-link.patch
BuildRequires:	fftw3-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libalsa-devel
BuildRequires:	swig
BuildRequires:	lash-devel
BuildRequires:	pd-devel
BuildRequires:	docbook-to-man
Requires:	%{libname} = %{version}-%{release}

%description
A library for audio labelling. Its features include segmenting 
a sound file before each of its attacks, performing pitch 
detection, tapping the beat and producing midi streams from 
live audio. The name aubio comes from 'audio' with a typo: 
several transcription errors are likely to be found in the 
results too.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package -n python-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
%py_requires -d

%description -n python-%{name}
Python bindings for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%define _disable_ld_no_undefined 1
export CPPFLAGS="%{optflags} -I%{_includedir}/pd"
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%ifarch x86_64
mv -f %{buildroot}%{_prefix}/lib/pd %{buildroot}%{_libdir}/pd
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README THANKS TODO
%{_bindir}/*
%{_datadir}/sounds/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/pd
                  
%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitelib}/*




%changelog
* Tue Mar 29 2011 ennael <ennael> 0.3.2-7.mga1
+ Revision: 78703
- clean spec file
- clean spec file
- imported package aubio


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.3.2-7mdv2011.0
+ Revision: 593668
- BR docbook-to-man
- fix python linakge

* Sat Feb 27 2010 Götz Waschk <waschk@mandriva.org> 0.3.2-7mdv2010.1
+ Revision: 512442
- rebuild for new libjack

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-6mdv2010.0
+ Revision: 436681
- rebuild

* Mon Dec 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2009.1
+ Revision: 321018
- fix build on x86_64
- link against pd-devel
- use %%define _disable_ld_no_undefined 1
- Patch0: fix build with -Werror=format-security

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.0
+ Revision: 270860
- fix provides for devel subpackage

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 270810
- add buildrequires on libsndfile-devel, libsamplerate-devel, libalsa-devel, swig, lash-devel and pd-devel
- fix file list
- add more provides for devel subpackage
- add source and spec files
- Created package structure for aubio.

